Get Revision
curl --request GET \
--url https://api.duvo.ai/v2/agents/{agent_id}/revisions/{build_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.duvo.ai/v2/agents/{agent_id}/revisions/{build_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.duvo.ai/v2/agents/{agent_id}/revisions/{build_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"build": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"copilot_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"config": {
"version": "v1",
"data": {
"model": "<string>",
"tools": "<unknown>",
"input": "<string>",
"files": [],
"skills": [],
"temperature": 1,
"max_output_tokens": 1,
"top_p": 0.5,
"store": true,
"text": {
"format": {
"type": "text"
}
}
}
},
"status": "<string>",
"revision_number": 123,
"parent_build_id": "<string>",
"created_by": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"revision_name": "<string>",
"revision_description": "<string>",
"created_by_name": "<string>",
"schedules": [
{
"id": "<string>",
"build_id": "<string>",
"agent_id": "<string>",
"user_id": "<string>",
"enabled": true,
"time": "<string>",
"timezone": "<string>",
"day": "<string>",
"day_of_month": 123,
"cron": "<string>",
"source": "<string>",
"task": "<string>",
"recurring": true,
"auto_disabled_at": "<string>",
"auto_disabled_reason": "<string>",
"consecutive_missing_connection_failures": 4503599627370495,
"first_missing_connection_failure_at": "<string>",
"last_missing_connection_failure_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"user_name": "<string>",
"user_email": "<string>"
}
]
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Revisions
Get Revision
Get a revision by ID.
GET
/
v2
/
agents
/
{agent_id}
/
revisions
/
{build_id}
Get Revision
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
The agent's unique identifier
The build's unique identifier
Response
Default Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I